Boards

Clone a board

POST/api/boards/{boardId}/clone

Creates a copy of a board with optional changes to its name, description, and configuration. Removes invalid report references from the copy.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
boardIdrequiredstringID of the board.

Request body

NameTypeDescription
descriptionstringDescription of the resource.
namestringDisplay name of the resource.
parametersobjectConfiguration parameters for the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
descriptionrequiredstringDescription of the resource.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
teamIdrequiredstringID of the associated team.
typerequiredstring
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL